Bug 1477252 - [Doc-RFE] Document concept and task information for ceph-medic
[Doc-RFE] Document concept and task information for ceph-medic
Status: ON_QA
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
3.0
Unspecified Unspecified
high Severity unspecified
: rc
: 3.0
Assigned To: Aron Gunn
Shreekar
: Documentation, FutureFeature
Depends On: 1477276
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-01 10:54 EDT by Anjana Suparna Sriram
Modified: 2017-10-18 13:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anjana Suparna Sriram 2017-08-01 10:54:01 EDT
Additional info: 

RHCS 3.0 Content Plan:
https://docs.google.com/document/d/1fp1j6iPr9UPHCMWqqS8QG3SXiSQ3n9Y9a1YogivhtzA/edit
Comment 7 Shreekar 2017-10-16 06:46:21 EDT
Hi,

Under Section 7.2,

Procedure: Installation of ceph-medic for Ubuntu should be provided.


Under Section 7.3,


"Here are a few examples of what ceph-medic checks: * The correct ownership of files and directories * If the fsid is the same for all nodes in the storage cluster * If the secret key in the keyring is different than other nodes in the storage cluster"

Could be written with bullet points than star.


In
"Appendix B. Error Code Definitions for ceph-medic"
New Errors codes are added in http://docs.ceph.com/ceph-medic/master/codes/common.html 
Those are ECOM6 and ECOM7

Under "OSD Warning Messages"

WOSD2 new warning can be added under this.
Comment 8 Shreekar 2017-10-16 06:47:22 EDT
(In reply to Shreekar from comment #7)
> Hi,
> 
> Under Section 7.2,
> 
> Procedure: Installation of ceph-medic for Ubuntu should be provided.
> 
> 
> Under Section 7.3,
> 
> 
> "Here are a few examples of what ceph-medic checks: * The correct ownership
> of files and directories * If the fsid is the same for all nodes in the
> storage cluster * If the secret key in the keyring is different than other
> nodes in the storage cluster"
> 
> Could be written with bullet points than star.
> 
> 
> In
> "Appendix B. Error Code Definitions for ceph-medic"
> New Errors codes are added in
> http://docs.ceph.com/ceph-medic/master/codes/common.html 
> Those are ECOM6 and ECOM7
> 
> Under "OSD Warning Messages"
> 
> WOSD2 new warning can be added under this.

Update:
Since ceph-medic is not supported for Containers, it can be added with a note

Note You need to log in before you can comment on or make changes to this bug.